Bug 1674545 - [RFE] Support read-only and runtime-only directories for connection profiles (keyfile)
Summary: [RFE] Support read-only and runtime-only directories for connection profiles ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1689408 1701002
TreeView+ depends on / blocked
 
Reported: 2019-02-11 15:36 UTC by Thomas Haller
Modified: 2019-11-05 22:30 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-1.20.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:29:15 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
freedesktop.org Gitlab NetworkManager/NetworkManager-ci/merge_requests/377 None None None 2019-08-14 11:42:21 UTC
Red Hat Product Errata RHBA-2019:3623 None None None 2019-11-05 22:30:36 UTC

Description Thomas Haller 2019-02-11 15:36:33 UTC
Currently, keyfiles are in /etc/NetworkManager/system-connections (and some limited support is for runtime connections in /run/NetworkManager/system-connections for initrd-generator).

This needs improvement.

A more elaborate description here: 

  https://bugzilla.gnome.org/show_bug.cgi?id=772414

This is important, if you want to pre-deploy profiles. For example, a company might provide RPMs with VPN setups for their company notebooks. Such configuraion files should not end up in /etc. On the other hand, we might have more generators like initrd-generator. These may want to put profiles in /run.


A WIP branch is at th/settings-delegate-storage.

Comment 4 Thomas Haller 2019-07-10 17:26:35 UTC
Branch on review here: https://gitlab.freedesktop.org/NetworkManager/NetworkManager/merge_requests/189

Comment 5 Thomas Haller 2019-07-17 11:24:30 UTC
this got now fixed upstream by commit [1]. See also the merge request [2].

As this is a large rework, expect some fall out and there will be follow-up fixes necessary...


[1] https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=d35d3c468a304c3e0e78b4b068d105b1d753876c

[2] https://gitlab.freedesktop.org/NetworkManager/NetworkManager/merge_requests/189

Comment 8 errata-xmlrpc 2019-11-05 22:29:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3623


Note You need to log in before you can comment on or make changes to this bug.